IcedTea-Web NetX

## javax.jnlp
Interface ExtensionInstallerService

    public interface ExtensionInstallerService

Method Summary
`java.net.URL` `getExtensionLocation()`
`java.lang.String` `getExtensionVersion()`
`java.lang.String` `getInstalledJRE(java.net.URL url, java.lang.String version)`
`java.lang.String` `getInstallPath()`
`void` `hideProgressBar()`
`void` `hideStatusWindow()`
`void` `installFailed()`
`void` `installSucceeded(boolean needsReboot)`
`void` `setHeading(java.lang.String heading)`
`void` `setJREInfo(java.lang.String platformVersion, java.lang.String jrePath)`
`void` `setNativeLibraryInfo(java.lang.String path)`
`void` `setStatus(java.lang.String status)`
`void` `updateProgress(int value)`

Method Detail

### getInstallPath

    java.lang.String getInstallPath()

### getExtensionVersion

    java.lang.String getExtensionVersion()

### getExtensionLocation

    java.net.URL getExtensionLocation()

### hideProgressBar

    void hideProgressBar()

### hideStatusWindow

    void hideStatusWindow()

### setHeading

    void setHeading(java.lang.String heading)

### setStatus

    void setStatus(java.lang.String status)

### updateProgress

    void updateProgress(int value)

### installSucceeded

    void installSucceeded(boolean needsReboot)

### installFailed

    void installFailed()

### setJREInfo

    void setJREInfo(java.lang.String platformVersion,
                    java.lang.String jrePath)

### setNativeLibraryInfo

    void setNativeLibraryInfo(java.lang.String path)

### getInstalledJRE

    java.lang.String getInstalledJRE(java.net.URL url,
                                     java.lang.String version)

IcedTea-Web NetX

Submit a bug or feature